<div class="flex flex-col gap-6">
  <app-card-data cardTitle="اطلاعات پایانه‌ فروش" [editable]="true" [(editMode)]="editMode">
    <div class="flex flex-col gap-4">
      <div class="listKeyValue">
        <app-key-value label="عنوان" [value]="pos()?.name" />
      </div>
    </div>
  </app-card-data>

  <partner-consumer-pos-form
    [(visible)]="editMode"
    [editMode]="true"
    [consumerId]="consumerId()"
    [businessActivityId]="businessId()"
    [complexId]="complexId()"
    [posId]="posId()"
    [initialValues]="pos() || undefined"
    (onSubmit)="getData()"
  />
</div>
